<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Tarjeta{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar registro
public function insertar($nombre,$num_tarjeta,$codigoBarraTarjeta){
	$sql="INSERT INTO tarjeta (nombre,num_tarjeta,codigoBarraTarjeta,condicion) VALUES ('$nombre','$num_tarjeta','$codigoBarraTarjeta','1')";
//	echo $sql;
	return ejecutarConsulta($sql);
}

public function editar($idtarjeta,$nombre,$num_tarjeta,$codigoBarraTarjeta){
	$sql="UPDATE tarjeta SET nombre='$nombre',num_tarjeta='$num_tarjeta',codigoBarraTarjeta='$codigoBarraTarjeta' 
	WHERE idtarjeta='$idtarjeta'";
	return ejecutarConsulta($sql);
}

public function desactivar($idtarjeta){
	$sql="UPDATE tarjeta SET condicion='0' WHERE idtarjeta='$idtarjeta'";
	return ejecutarConsulta($sql);
}
public function activar($idtarjeta){
	$sql="UPDATE tarjeta SET condicion='1' WHERE idtarjeta='$idtarjeta'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idtarjeta){
	$sql="SELECT * FROM tarjeta WHERE idtarjeta='$idtarjeta'";
	return ejecutarConsultaSimpleFila($sql);
}

public function listartarjetasdecliente(){
	$sql="SELECT t1.idtarjeta,t1.nombre,t1.num_tarjeta,t1.codigoBarraTarjeta,t1.condicion, IFNULL(t2.estado,'Libre') as estado FROM tarjeta t1 LEFT JOIN vistatarjetaspendiente t2 ON t2.idtarjeta = t1.idtarjeta WHERE t2.estado='Pendiente' or t2.estado IS Null ORDER by t1.idtarjeta";
	return ejecutarConsulta($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM tarjeta";
	return ejecutarConsulta($sql);
}





}

 ?>
